import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.feedback.updateResponseFeedback({
id: "resp-xyz789",
requestBody: {
rating: "thumbs_up",
description: "Updated after retry, now good.",
},
});
console.log(result);
}
run();{
"id": "resp-xyz789",
"rating": "thumbs_up",
"description": "Updated after retry, now good.",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-16T10:30:00Z"
}Updates or modifies existing feedback for a specific agent response. Useful for allowing users to revise their initial submissions.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.feedback.updateResponseFeedback({
id: "resp-xyz789",
requestBody: {
rating: "thumbs_up",
description: "Updated after retry, now good.",
},
});
console.log(result);
}
run();{
"id": "resp-xyz789",
"rating": "thumbs_up",
"description": "Updated after retry, now good.",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-16T10:30:00Z"
}Authenticate with your MKA1 API key at the API gateway: Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, also send X-On-Behalf-Of to identify the end user making the request.
Optional external user identifier for multi-user server-side integrations. Use this when acting on behalf of one of your end users.
Request ID of the feedback to update
Fields to update in the feedback. All fields are optional; only provided fields will be updated. Pass null to clear a field.
Update the feedback rating. Pass null to clear the rating. Can be 'thumbs_up' or 'thumbs_down'.
thumbs_up, thumbs_down Update the feedback description. Pass null to clear the description. Provide text to update with new feedback comments (max 2000 characters).
2000OK
Response containing the updated feedback entry with new updatedAt timestamp.
The request ID that this feedback is associated with
The feedback rating indicating user satisfaction
thumbs_up, thumbs_down Optional detailed feedback description providing additional context or explanation (max 2000 characters)
2000Timestamp when the feedback was created
Timestamp when the feedback was last updated
Was this page helpful?